# data
data-path="/path/to/your/directory"


# Sync mode and data layer implementation
sync-mode="X_SNAP"
data-storage-format="BONSAI"
Xsnapsync-synchronizer-flat-db-healing-enabled=true


# genesis file 
genesis-file="/path/to/genesis-sepolia.json"


# Boot nodes
bootnodes=["enode://6f20afbe4397e51b717a7c1ad3095e79aee48c835eebd9237a3e8a16951ade1fe0e66e981e30ea269849fcb6ba03d838da37f524fabd2a557474194a2e2604fa@18.221.100.27:31002","enode://ce1e0d8e0500cb5c0ac56bdcdafb2d6320c3a2c5125b5ccf12f5dfc9b47ee74acbcafc32559017613136c9c36a0ce74ba4f83b7fb8244f099f3b15708d9d3129@3.23.75.47:31000","enode://1b026a5eb0ae74300f58987d235ef0e3a550df963345cb3574be3b0b54378bd11f14dfd515a8976f2c2d2826090e9507b8ccc24f896a9ffffffcabcfd996a733@3.129.120.128:31001"]

# Min gas price
min-gas-price=1000

# Host white list
host-whitelist=["*"]


# rpc
rpc-http-enabled=true
rpc-http-host="0.0.0.0"
rpc-http-port=8545
rpc-http-api=["ADMIN","NET","ETH","WEB3","TXPOOL"]
rpc-http-cors-origins=["all"]
rpc-http-max-active-connections=20000


# ws
rpc-ws-enabled=true
rpc-ws-api=["NET","ETH","WEB3"]
rpc-ws-host="0.0.0.0"
rpc-ws-port=8546

# graphql
graphql-http-enabled=true
graphql-http-host="0.0.0.0"
graphql-http-port=8547
graphql-http-cors-origins=["all"]


# p2p
p2p-port=30303
fast-sync-min-peers=1
Xeth-capability-max=67


# metrics
metrics-enabled=true
metrics-host="0.0.0.0"
metrics-port=9545
